Subject: Re: bug#46934: emacsy-minimal fails to build
From: Xinglu Chen <[email-masked]>
To: Maxime Devos <[email-masked]>, [email-masked]
Date: Fri, 05 Mar 2021 22:36:57 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Mar 05 2021, Maxime Devos wrote:

> On Thu, 2021-03-04 at 22:37 +0100, Xinglu Chen wrote:
>> Hi,
>> 
>> While trying to install Nomad, the emacsy-minimal packages fails to
>> build.
>> 
>> [...]
>>
>> Since emacsy-minimal uses the gnu-build-system, I thought that
>> `autoreconf` would already be available in the build environment, no?
>
> gnu-build-system does not imply "autoconf" as a native-input.
> gnu-build-system refers to packages that have a "./configure && make
> && make check && make install" build system, these do not necessarily
> use autoconf and automake.  And when they do, the generated
> Makefile.in and configure script are often included in the release
> tarball, in which case gnu-build-system does not try to call
> "autoreconf".

Thanks for the explanation!

> I propose the attached patch, which seems to let "emacsy-minimal" build
> (on top of commit 4bc9a1f4e3bd39302b4ceaab8589a2e6ef82c4bd in my case).
> I've also fixed a build input of nomad (wrong variant of gnutls).  I can
> now start nomad!

Great, it works for me too.  Would you mind sending the patch to the
guix-patches mailing list?